#version 430 core
/*
* https://learnopengl.com/code_viewer_gh.php?code=src/8.guest/2020/skeletal_animation/anim_model.fs
*/

out vec4 FragColor;
uniform float brightnessMultiplier;

in vec2 TexCoords;

uniform sampler2D texture_diffuse1;

void main()
{   
    vec3 textureColor = texture(texture_diffuse1, TexCoords).rgb;
    FragColor = vec4(brightnessMultiplier * textureColor, 1);
}