#version 430 core
/*
* https://learnopengl.com/code_viewer_gh.php?code=src/3.model_loading/1.model_loading/1.model_loading.vs
*/

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 aNormal;
layout (location = 2) in vec2 aTexCoords;

out vec2 TexCoords;
out vec3 position_world;

uniform mat4 model;
uniform mat4 viewProjMatrix;

void main()
{
    TexCoords = aTexCoords; 
    position_world = (model * vec4(aPos, 1.0)).xyz;
    gl_Position = viewProjMatrix * model * vec4(aPos, 1.0);
}