#version 430 core
/*
* Source: learnOpenGL.com
*/

layout(location = 0) in vec3 position;

uniform mat4 lightSpaceMatrix;
uniform mat4 model;

out vec3 worldPos;

void main() {
	vec4 pos = vec4(position, 1.0);
	gl_Position = lightSpaceMatrix * model * pos;
	worldPos = (model * pos).xyz;
}