#version 430 core
layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BrightColor;

in vec3 TexCoords;

uniform samplerCube skybox;
uniform float brightnessMultiplier;

void main()
{    
    vec3 textureColor = texture(skybox, TexCoords).rgb;
    FragColor = vec4(textureColor * brightnessMultiplier, 1);
    BrightColor = vec4(0.0);
}