#version 430 core

in vec2 TexCoord;
layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BrightColor;

uniform sampler2D character;
uniform vec3 textColor;

void main()
{    
    BrightColor = vec4(0.0, 0.0, 0.0, 1.0);
    vec4 sampled = vec4(1.0, 1.0, 1.0, texture(character, TexCoord).r);
    FragColor = vec4(textColor, 1.0) * sampled;
}